Subject: Re: bug#19568: 24.3; not documented: Which system settings affect the choice of the default font by an uncustomized Emacs 24?

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 28 May 2021 03:37:31 +0200

Stefan Kangas <[email-masked]> writes:

> #define GCONF_TOOL_BAR_STYLE "/desktop/gnome/interface/toolbar_style"
> #define GCONF_MONO_FONT  "/desktop/gnome/interface/monospace_font_name"
> #define GCONF_FONT_NAME  "/desktop/gnome/interface/font_name"
>
> Perhaps we should mention these in the manual?

I'm not quite sure, but I think that makes some sense, so I've now done
so.

> Or is this something that should be documented by gconf itself?  How
> does one even configure this stuff in Gnome?  (I don't use it myself.)

Let's see...  Right:

gsettings get org.gnome.desktop.interface monospace-font-name
'Monospace 11'

And then there's "set".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no